%define pkg_name        Bot-BasicBot-Pluggable-Module-Delicious
%define pkg_version     0.011
%define rpm_pkg_version 0.011
%define rpm_pkg_release 1.n0i.1

Summary:       A Simple URL catcher for Bot::BasciBot::Pluggable
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/F/FR/FRANCKC/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Bot::BasicBot::Pluggable)
BuildRequires: perl(Net::Delicious)
BuildRequires: perl(Regexp::Common)


%description
A plugin module for Bot::BasicBot::Pluggable to grab, and store URLs from and
IRC channel to a delicious account.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{__find} . -name '._*' -delete


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes LICENSE README Todo


%changelog
* Fri Jun 15 2007 Marius Feraru <altblue@n0i.net> - 0.011-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.9
- version 0.011
